PlanewardPlaneward Docs
PlanewardPlaneward Docs
Welcome

Developers

REST APIAuthenticationWebhooksMCPEmbedded projectsTask description contentDeveloper hub

API

List customers GETCreate a customer POSTGet a customer GETUpdate a customer PATCHDelete a customer DELETE
Customers

List customers

GET
/customers

Authorization

x-api-key<token>

In: header

Query Parameters

limit?integer
Rangevalue <= 100
Default50
offset?integer
Range0 <= value
Default0
search?string

Response Body

application/json

curl -X GET "https://example.com/customers"
{  "data": [    {      "id": "string",      "name": "string",      "email": "string",      "phone": "string",      "company": "string",      "role": "string",      "typeIds": [        "string"      ],      "types": [        {          "id": "string",          "name": "string",          "color": "string",          "icon": "string"        }      ],      "createdAt": "2019-08-24T14:15:22Z",      "updatedAt": "2019-08-24T14:15:22Z"    }  ],  "meta": {    "total": 0,    "limit": 0,    "offset": 0  }}

Delete a task DELETE

Previous Page

Create a customer POST

Next Page